/**********************************************************************************
 * \file StarDefinesControls.h                                                          
 * \version 8.1.2.2248
 * \par Copyright                                                                   
 * Copyright 2010-2015 STAR COOPERATION GmbH. All rights reserved.                                        
 * \brief                                                                            
 * This file contains control definitions used by the PC-HW-Interface to control      
 * several functions.                         
 **********************************************************************************/

#ifndef _STARDEFINESCONTROLS_H_
#define _STARDEFINESCONTROLS_H_ 

#define TIMESTAMP_Control 637526154533140448

/* Shortname: setBusOn */
#define COM_set_Bus_On 2199776
#define COM_Return_Len_setBusOn 8

/* Shortname: setBusOff */
#define COM_set_Bus_Off 2199784
#define COM_Return_Len_setBusOff 8

/* Shortname: getBusState */
#define COM_get_Bus_State 2199868
#define COM_Return_Len_getBusState 40

/* Shortname: setCcOn */
#define COM_set_Cc_On 2199872
#define COM_Return_Len_setCcOn 16

/* Shortname: setCcOff */
#define COM_set_Cc_Off 2199880
#define COM_Return_Len_setCcOff 16

/* Shortname: getCcState */
#define COM_get_Cc_State 2199896
#define COM_Return_Len_getCcState 40

/* Shortname: setEcuOn */
#define COM_set_Ecu_On 2199900
#define COM_Return_Len_setEcuOn 8

/* Shortname: setEcuOff */
#define COM_set_Ecu_Off 2199908
#define COM_Return_Len_setEcuOff 8

/* Shortname: getEcuState */
#define COM_get_Ecu_State 2199932
#define COM_Return_Len_getEcuState 40

/* Shortname: COM_HwType */
#define COM_CONTROL_ID_COM_HwType 3472209

/* Shortname: COM_HwVersion */
#define COM_CONTROL_ID_COM_HwVersion 3472224

/* Shortname: COM_ApplicationEnabled */
#define COM_CONTROL_ID_COM_ApplicationEnabled 3472504

#endif // _STARDEFINESCONTROLS_H_ 
